Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Clap de fin pour Fedora Linux 35 !

#1 19/11/2022 00:12:50

moudur
Membre
Inscription : 22/03/2014
Messages : 344

[Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

Bonjour,

La mise à jour de Fedora 36 vers Fedora 37 se passe mal chez moi.
Voilà ce qui se produit :

dnf upgrade --refresh

Me renvoie :

Copr repo for qgis owned by dani                                    4.6 kB/s | 3.6 kB     00:00    
Copr repo for Signal-Desktop owned by luminoso                      4.4 kB/s | 3.3 kB     00:00    
Copr repo for PyCharm owned by phracek                              6.3 kB/s | 3.6 kB     00:00    
Fedora 36 - x86_64                                                   33 kB/s |  19 kB     00:00    
Fedora 36 openh264 (From Cisco) - x86_64                            2.3 kB/s | 989  B     00:00    
Fedora Modular 36 - x86_64                                           32 kB/s |  19 kB     00:00    
Fedora 36 - x86_64 - Updates                                         30 kB/s |  15 kB     00:00    
Fedora Modular 36 - x86_64 - Updates                                 31 kB/s |  17 kB     00:00    
RPM Fusion for Fedora 36 - Free                                      14 kB/s | 7.7 kB     00:00    
RPM Fusion for Fedora 36 - Free - Updates                            41 kB/s | 7.5 kB     00:00    
RPM Fusion for Fedora 36 - Nonfree                                   45 kB/s | 7.8 kB     00:00    
RPM Fusion for Fedora 36 - Nonfree - NVIDIA Driver                   42 kB/s | 7.3 kB     00:00    
RPM Fusion for Fedora 36 - Nonfree - Steam                           39 kB/s | 7.0 kB     00:00    
RPM Fusion for Fedora 36 - Nonfree - Updates                         41 kB/s | 7.6 kB     00:00    
Dépendances résolues.

 Problème: le paquet mrpt-libs-1.4.0-30.fc36.x86_64 nécessite libphidget21.so.0()(64bit), mais aucun fournisseur ne peut être installé
  - le paquet libphidget22-1.12.20220912-1.fc36.x86_64 rend obsolète libphidget < 2.1.8.20140319-20 fourni par libphidget-2.1.8.20140319-19.fc36.x86_64
  - installation impossible du meilleur candidat pour le paquet mrpt-libs-1.4.0-30.fc36.x86_64
  - installation impossible du meilleur candidat pour le paquet libphidget-2.1.8.20140319-19.fc36.x86_64
Rien à faire.
Terminé !

Et ensuite :
dnf system-upgrade download --releasever 37
produit :

Avant de continuer, assurez-vous que votre système est complètement à jour en lançant «dnf --refresh upgrade». Voulez-vous continuer [y/N]: y
Copr repo for qgis owned by dani                                     11 kB/s | 3.6 kB     00:00    
Copr repo for Signal-Desktop owned by luminoso                      2.7 kB/s | 3.3 kB     00:01    
Copr repo for PyCharm owned by phracek                              9.2 kB/s | 3.6 kB     00:00    
Fedora 37 - x86_64                                                   24 kB/s |  15 kB     00:00    
Fedora 37 openh264 (From Cisco) - x86_64                            1.5 kB/s | 989  B     00:00    
Fedora Modular 37 - x86_64                                           26 kB/s |  15 kB     00:00    
Fedora 37 - x86_64 - Updates                                         28 kB/s |  15 kB     00:00    
Fedora Modular 37 - x86_64 - Updates                                 28 kB/s |  17 kB     00:00    
RPM Fusion for Fedora 37 - Free                                      41 kB/s | 7.6 kB     00:00    
RPM Fusion for Fedora 37 - Free - Updates                            55 kB/s | 7.5 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree                                   62 kB/s | 7.7 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree - NVIDIA Driver                   44 kB/s | 7.3 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree - Steam                           38 kB/s | 7.0 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree - Updates                         50 kB/s | 7.6 kB     00:00    
Aucune correspondance pour le paquet du groupe « authselect-compat »
Aucune correspondance pour le paquet du groupe « imsettings-systemd »
Aucune correspondance pour le paquet du groupe « gstreamer1-libav »
Aucune correspondance pour le paquet du groupe « imsettings-systemd »
Aucune correspondance pour le paquet du groupe « google-noto-sans-ugaritic-vf-fonts »
Aucune correspondance pour le paquet du groupe « kanjistrokeorders-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-nabataean-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-egyptian-hieroglyphs-vf-fonts »
Aucune correspondance pour le paquet du groupe « desmume-glade »
Aucune correspondance pour le paquet du groupe « google-noto-sans-phoenician-vf-fonts »
Aucune correspondance pour le paquet du groupe « d1x-shareware »
Aucune correspondance pour le paquet du groupe « qgnomeplatform »
Aucune correspondance pour le paquet du groupe « google-noto-sans-cypriot-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-vai-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-tagbanwa-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-cuneiform-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-lao-looped-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-mro-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-marchen-vf-fonts »
Aucune correspondance pour le paquet du groupe « bcm283x-firmware »
Aucune correspondance pour le paquet du groupe « google-noto-sans-wancho-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-takri-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-carian-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-anatolian-hieroglyphs-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-warang-citi-vf-fonts »
Aucune correspondance pour le paquet du groupe « gnome-mud »
Aucune correspondance pour le paquet du groupe « google-noto-sans-mandaic-vf-fonts »
Aucune correspondance pour le paquet du groupe « xstar »
Aucune correspondance pour le paquet du groupe « e-uae »
Aucune correspondance pour le paquet du groupe « scim-bridge-qt3 »
Aucune correspondance pour le paquet du groupe « google-noto-sans-thai-looped-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-gothic-vf-fonts »
Aucune correspondance pour le paquet du groupe « xarchon »
Aucune correspondance pour le paquet du groupe « google-noto-sans-soyombo-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-buhid-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-multani-vf-fonts »
Aucune correspondance pour le paquet du groupe « scim-bridge-gtk »
Aucune correspondance pour le paquet du groupe « google-noto-sans-linear-a-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-hatran-vf-fonts »
Aucune correspondance pour le paquet du groupe « openalchemist »
Aucune correspondance pour le paquet du groupe « google-noto-sans-elymaic-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-serif-tangut-vf-fonts »
Aucune correspondance pour le paquet du groupe « culmus-shofar-fonts »
Aucune correspondance pour le paquet du groupe « tlomt-junction-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-mayan-numerals-vf-fonts »
Aucune correspondance pour le paquet du groupe « yanone-tagesschrift-fonts »
Aucune correspondance pour le paquet du groupe « cvsgraph »
Aucune correspondance pour le paquet du groupe « google-noto-sans-shavian-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-linear-b-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-osmanya-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-deseret-vf-fonts »
Aucune correspondance pour le paquet du groupe « drehatlas-xaporho-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-lycian-vf-fonts »
Aucune correspondance pour le paquet du groupe « polarsys-b612-sans-fonts »
Aucune correspondance pour le paquet du groupe « scim-bridge-qt »
Aucune correspondance pour le paquet du groupe « google-noto-sans-devanagari-ui-vf-fonts »
Aucune correspondance pour le paquet du groupe « vollkorn-fonts »
Aucune correspondance pour le paquet du groupe « sumwars »
Aucune correspondance pour le paquet du groupe « drehatlas-warender-bibliothek-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-imperial-aramaic-vf-fonts »
Aucune correspondance pour le paquet du groupe « ubuntu-title-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-yi-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-buginese-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-avestan-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-ogham-vf-fonts »
Aucune correspondance pour le paquet du groupe « sil-scheherazade-fonts »
Aucune correspondance pour le paquet du groupe « xorg-x11-drv-armsoc »
Aucune correspondance pour le paquet du groupe « google-noto-sans-lydian-vf-fonts »
Erreur : 
 Problème: problème avec le paquet installé nautilus-search-tool-0.3.0-36.fc36.x86_64
  - le paquet nautilus-search-tool-0.3.0-36.fc36.x86_64 nécessite libnautilus-extension.so.1()(64bit), mais aucun fournisseur ne peut être installé
  - nautilus-extensions-42.2-1.fc36.x86_64 n’appartient pas à un dépôt distupgrade
(essayez d’ajouter « --skip-broken » pour ignorer les paquets non installables)

Du coup, j'arrête là avant le "dnf system-upgrade reboot"...
Pourquoi je rencontre toutes ces erreurs ?

Hors ligne

#2 19/11/2022 00:24:41

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 936

Re : [Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

Pourquoi je rencontre toutes ces erreurs ?

Il faut lire. Il n'a pas pu exécuter la première commande, indispensable, pour les raisons indiquées. Tu passes outres et tu veux néanmoins réaliser le changement de version.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#3 19/11/2022 12:04:47

moudur
Membre
Inscription : 22/03/2014
Messages : 344

Re : [Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

nouvo09 a écrit :

Pourquoi je rencontre toutes ces erreurs ?

Il faut lire. Il n'a pas pu exécuter la première commande, indispensable, pour les raisons indiquées. Tu passes outres et tu veux néanmoins réaliser le changement de version.

Alors, j'ai supprimé le paquet qui posait problème à la première étape : dnf remove mrpt-libs (au passage il a supprimé mrpt-camera-calibration).

Le dnf upgrade --refresh ne pose ensuite aucun problème...

Mais le dnf system-upgrade download --releasever 37 affiche toujours ceci :

Avant de continuer, assurez-vous que votre système est complètement à jour en lançant «dnf --refresh upgrade». Voulez-vous continuer [y/N]: y
Copr repo for qgis owned by dani                 17 kB/s | 3.6 kB     00:00    
Copr repo for Signal-Desktop owned by luminoso   15 kB/s | 3.3 kB     00:00    
Copr repo for PyCharm owned by phracek          8.0 kB/s | 3.6 kB     00:00    
Fedora 37 - x86_64                               25 kB/s |  15 kB     00:00    
Fedora 37 openh264 (From Cisco) - x86_64        2.0 kB/s | 989  B     00:00    
Fedora Modular 37 - x86_64                       24 kB/s |  15 kB     00:00    
Fedora 37 - x86_64 - Updates                     19 kB/s |  15 kB     00:00    
Fedora 37 - x86_64 - Updates                    760 kB/s | 1.2 MB     00:01    
Fedora Modular 37 - x86_64 - Updates             18 kB/s | 9.5 kB     00:00    
Fedora Modular 37 - x86_64 - Updates            102 kB/s | 108 kB     00:01    
RPM Fusion for Fedora 37 - Free                  54 kB/s | 7.3 kB     00:00    
RPM Fusion for Fedora 37 - Free - Updates        39 kB/s | 7.2 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree               39 kB/s | 7.4 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree - NVIDIA Dri  37 kB/s | 6.9 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree - Steam       34 kB/s | 6.7 kB     00:00    
RPM Fusion for Fedora 37 - Nonfree - Updates     35 kB/s | 7.3 kB     00:00    
Aucune correspondance pour le paquet du groupe « imsettings-systemd »
Aucune correspondance pour le paquet du groupe « authselect-compat »
Aucune correspondance pour le paquet du groupe « gstreamer1-libav »
Aucune correspondance pour le paquet du groupe « imsettings-systemd »
Aucune correspondance pour le paquet du groupe « d1x-shareware »
Aucune correspondance pour le paquet du groupe « xarchon »
Aucune correspondance pour le paquet du groupe « scim-bridge-gtk »
Aucune correspondance pour le paquet du groupe « google-noto-sans-buhid-vf-fonts »
Aucune correspondance pour le paquet du groupe « drehatlas-warender-bibliothek-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-thai-looped-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-nabataean-vf-fonts »
Aucune correspondance pour le paquet du groupe « cvsgraph »
Aucune correspondance pour le paquet du groupe « google-noto-serif-tangut-vf-fonts »
Aucune correspondance pour le paquet du groupe « scim-bridge-qt3 »
Aucune correspondance pour le paquet du groupe « google-noto-sans-mayan-numerals-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-avestan-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-warang-citi-vf-fonts »
Aucune correspondance pour le paquet du groupe « qgnomeplatform »
Aucune correspondance pour le paquet du groupe « google-noto-sans-linear-a-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-anatolian-hieroglyphs-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-deseret-vf-fonts »
Aucune correspondance pour le paquet du groupe « xstar »
Aucune correspondance pour le paquet du groupe « google-noto-sans-ugaritic-vf-fonts »
Aucune correspondance pour le paquet du groupe « bcm283x-firmware »
Aucune correspondance pour le paquet du groupe « google-noto-sans-carian-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-yi-vf-fonts »
Aucune correspondance pour le paquet du groupe « culmus-shofar-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-elymaic-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-buginese-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-soyombo-vf-fonts »
Aucune correspondance pour le paquet du groupe « tlomt-junction-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-cypriot-vf-fonts »
Aucune correspondance pour le paquet du groupe « gnome-mud »
Aucune correspondance pour le paquet du groupe « google-noto-sans-cuneiform-vf-fonts »
Aucune correspondance pour le paquet du groupe « vollkorn-fonts »
Aucune correspondance pour le paquet du groupe « sil-scheherazade-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-gothic-vf-fonts »
Aucune correspondance pour le paquet du groupe « drehatlas-xaporho-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-wancho-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-phoenician-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-ogham-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-lycian-vf-fonts »
Aucune correspondance pour le paquet du groupe « scim-bridge-qt »
Aucune correspondance pour le paquet du groupe « google-noto-sans-osmanya-vf-fonts »
Aucune correspondance pour le paquet du groupe « kanjistrokeorders-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-devanagari-ui-vf-fonts »
Aucune correspondance pour le paquet du groupe « e-uae »
Aucune correspondance pour le paquet du groupe « google-noto-sans-tagbanwa-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-linear-b-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-multani-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-mandaic-vf-fonts »
Aucune correspondance pour le paquet du groupe « desmume-glade »
Aucune correspondance pour le paquet du groupe « google-noto-sans-marchen-vf-fonts »
Aucune correspondance pour le paquet du groupe « xorg-x11-drv-armsoc »
Aucune correspondance pour le paquet du groupe « sumwars »
Aucune correspondance pour le paquet du groupe « google-noto-sans-shavian-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-lydian-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-takri-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-egyptian-hieroglyphs-vf-fonts »
Aucune correspondance pour le paquet du groupe « openalchemist »
Aucune correspondance pour le paquet du groupe « google-noto-sans-vai-vf-fonts »
Aucune correspondance pour le paquet du groupe « polarsys-b612-sans-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-lao-looped-vf-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-imperial-aramaic-vf-fonts »
Aucune correspondance pour le paquet du groupe « yanone-tagesschrift-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-mro-vf-fonts »
Aucune correspondance pour le paquet du groupe « ubuntu-title-fonts »
Aucune correspondance pour le paquet du groupe « google-noto-sans-hatran-vf-fonts »
Erreur : 
 Problème: problème avec le paquet installé nautilus-search-tool-0.3.0-36.fc36.x86_64
  - le paquet nautilus-search-tool-0.3.0-36.fc36.x86_64 nécessite libnautilus-extension.so.1()(64bit), mais aucun fournisseur ne peut être installé
  - nautilus-extensions-42.2-1.fc36.x86_64 n’appartient pas à un dépôt distupgrade
(essayez d’ajouter « --skip-broken » pour ignorer les paquets non installables)

J'ai supprimé les paquets "nautilus*", mais maintenant il me reste encore de nombreuses erreurs "Aucune correspondance...". C'est étonnant car je n'ai pas tendance à installer des logiciels google...
Ceci dit il me propose bien te télécharger la suite, maintenant...
Mais avant de continuer je voudrais bien corriger mon problème de driver de carte graphique (voir ici : https://forums.fedora-fr.org/viewtopic.php?id=73670)...

Hors ligne

#4 19/11/2022 12:21:03

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 936

Re : [Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

je n'ai pas tendance à installer des logiciels google...

Apparemment il s'agit essentiellement de polices de caractères dont la mise à jour n'est pas essentielle. Tu as un éditeur graphique genre scribus ?

Mais avant de continuer

Si je peux me permettre, et tant que ta machine fonctionne, le plus urgent est d'en faire une sauvegarde complète, avec tar ou image iso ou autre. Afin d'éviter de rester tout nu en cas de pépin.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#5 19/11/2022 16:53:37

moudur
Membre
Inscription : 22/03/2014
Messages : 344

Re : [Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

Oui, je j'ai bien sauvegardé mes données avant ces opérations, merci.
Et oui, j'ai Scribus installé.
Je vais essayer une autre distribution Linux, je n'en peux plus de ces problèmes à répétition sur Fedora, presque à chaque montée de version...
Je vais monter un autre disque avec un autre système et essayer de remonter mes données de dessus...

Hors ligne

#6 19/11/2022 18:10:40

tetedecrocro
Membre
Inscription : 09/06/2006
Messages : 182

Re : [Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

J'ai eu les même erreurs ne t'inquiète pas, voici ce que j'ai fais ensuite et la mise à jour c'est lancer.

 dnf system-upgrade download --refresh --releasever=37 --allowerasing  

Fedora 37 Cinnamon

Hors ligne

#7 29/11/2022 22:07:48

moudur
Membre
Inscription : 22/03/2014
Messages : 344

Re : [Résolu] La mise à jour de Fedora 36 vers Fedora 37 ne passe pas...

C'est bon, tout refonctionne...
Je teste un nouveau système d'exploitation qui devrait être plus stable et plus facile...

Hors ligne

Pied de page des forums